
package org.adullact.spring_ws.iparapheur._1;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "InterfaceParapheurServiceNoMTOM", targetNamespace = "http://www.adullact.org/spring-ws/iparapheur/1.0", wsdlLocation = "/var/www/parapheur/alfresco/iparapheur.wsdl")
public class InterfaceParapheurServiceNoMTOM
    extends Service
{

    private final static URL INTERFACEPARAPHEURSERVICENOMTOM_WSDL_LOCATION;
    private final static WebServiceException INTERFACEPARAPHEURSERVICENOMTOM_EXCEPTION;
    private final static QName INTERFACEPARAPHEURSERVICENOMTOM_QNAME = new QName("http://www.adullact.org/spring-ws/iparapheur/1.0", "InterfaceParapheurServiceNoMTOM");
    private final static Logger logger = Logger.getLogger(org.adullact.spring_ws.iparapheur._1.InterfaceParapheurServiceNoMTOM.class.getName());

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("file:/var/www/parapheur/alfresco/iparapheur.wsdl");
        } catch (MalformedURLException ex) {
            logger.warning("Failed to create URL for the wsdl Location: 'file:/var/www/parapheur/alfresco/iparapheur.wsdl', retrying as a local file");
            logger.warning(ex.getMessage());
            e = new WebServiceException(ex);
        }
        INTERFACEPARAPHEURSERVICENOMTOM_WSDL_LOCATION = url;
        INTERFACEPARAPHEURSERVICENOMTOM_EXCEPTION = e;
    }

    public InterfaceParapheurServiceNoMTOM() {
        super(__getWsdlLocation(), INTERFACEPARAPHEURSERVICENOMTOM_QNAME);
    }

//    public InterfaceParapheurServiceNoMTOM(WebServiceFeature... features) {
//        super(__getWsdlLocation(), INTERFACEPARAPHEURSERVICENOMTOM_QNAME, features);
//    }

    public InterfaceParapheurServiceNoMTOM(URL wsdlLocation) {
        super(wsdlLocation, INTERFACEPARAPHEURSERVICENOMTOM_QNAME);
    }

//    public InterfaceParapheurServiceNoMTOM(URL wsdlLocation, WebServiceFeature... features) {
//        super(wsdlLocation, INTERFACEPARAPHEURSERVICENOMTOM_QNAME, features);
//    }

    public InterfaceParapheurServiceNoMTOM(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

//    public InterfaceParapheurServiceNoMTOM(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
//        super(wsdlLocation, serviceName, features);
//    }

    /**
     * 
     * @return
     *     returns InterfaceParapheur
     */
    @WebEndpoint(name = "InterfaceParapheurSoap11NoMtom")
    public InterfaceParapheur getInterfaceParapheurSoap11NoMtom() {
        return super.getPort(new QName("http://www.adullact.org/spring-ws/iparapheur/1.0", "InterfaceParapheurSoap11NoMtom"), InterfaceParapheur.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns InterfaceParapheur
     */
    @WebEndpoint(name = "InterfaceParapheurSoap11NoMtom")
    public InterfaceParapheur getInterfaceParapheurSoap11NoMtom(WebServiceFeature... features) {
        return super.getPort(new QName("http://www.adullact.org/spring-ws/iparapheur/1.0", "InterfaceParapheurSoap11NoMtom"), InterfaceParapheur.class, features);
    }

    private static URL __getWsdlLocation() {
        if (INTERFACEPARAPHEURSERVICENOMTOM_EXCEPTION!= null) {
            throw INTERFACEPARAPHEURSERVICENOMTOM_EXCEPTION;
        }
        return INTERFACEPARAPHEURSERVICENOMTOM_WSDL_LOCATION;
    }

}
